Fix FTBFS on certain older libstdc++ versions.
[quassel.git] / data / CMakeLists.txt
1 if (BUILD_GUI)
2     if (KDE4_FOUND OR (UNIX AND NOT APPLE))
3         if (WANT_QTCLIENT)
4             install(FILES quasselclient.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
5         endif()
6
7         if (WANT_MONO)
8             install(FILES quassel.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
9         endif()
10
11         if (WITH_KDE4)
12             install(FILES quassel.notifyrc DESTINATION ${CMAKE_INSTALL_DATADIR}/quassel)
13         endif()
14
15         if (WITH_KF5)
16             install(FILES quassel.notifyrc DESTINATION ${CMAKE_INSTALL_KNOTIFY5RCDIR})
17         endif()
18     endif()
19
20     if (EMBED_DATA)
21         set(CLIENT_RCS ${CLIENT_RCS} ${CMAKE_CURRENT_SOURCE_DIR}/data.qrc PARENT_SCOPE)
22     else()
23         install(FILES networks.ini DESTINATION ${CMAKE_INSTALL_DATADIR}/quassel)
24         install(DIRECTORY stylesheets DESTINATION ${CMAKE_INSTALL_DATADIR}/quassel)
25     endif()
26
27     if (NOT WIN32)
28         install(DIRECTORY scripts DESTINATION ${CMAKE_INSTALL_DATADIR}/quassel USE_SOURCE_PERMISSIONS)
29     endif()
30 endif()